﻿using System;
using System.Linq;
using Telerik.Windows.Controls;

namespace MaskedInputTest
{
    public class ViewModel : ViewModelBase
    {
        private string textValue;
        public string TextValue
        {
            get { return this.textValue; }
            set
            {
                if (this.textValue != value)
                {
                    this.textValue = value;
                    this.OnPropertyChanged("TextValue");
                    this.OnPropertyChanged("Weeks");
                }
            }
        }
        

        public int Weeks 
        {
            get
            {
                return this.ParseWeeks();
            }
        }

        private int ParseWeeks()
        {
            if (this.TextValue == null)
                return 0;

            int wIndex = this.TextValue.IndexOf('w');
            if (wIndex != null)
            {
                string weekNum = this.TextValue.Substring(0, wIndex).Trim(new char[] { '_' });
                int result = -1;
                int.TryParse(weekNum, out result);
                if (result != -1)
                {
                    return result;
                }
            }
            return 0;
        }
    }
}
